当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 新装的9.04好多应用打不开
帖子发表于 : 2009-08-28 9:32 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
像3D的设置工具,添加删除程序,还有我用新立德装的CHM查看工具,点击后只看到任务栏上面显示了starting ....过一会就没了,

在命令行下面运行后,都会报以下的这句错误,不知道是什么意思,请各位大大们帮忙看看。

/usr/lib/libcairo.so.2: symbol png_set_expand_gray_1_2_4_to_8, version PNG12_0 not defined in file libpng12.so.0 with link time reference


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 9:00 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
没人知道吗?还未解决问题呢!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 9:37 

注册: 2009-08-06 11:55
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
我也有过类似的情况,是开3D开不了,最后重启了机子就好了。那是因为才装的系统,新装的驱动,和更新。要重启一下。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 15:56 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
应该不是这个原因,因为我在菜单中点applications-->add/remove 点击后就看任务栏多了一个添加删除的图标,
并显示starting add/remove但界页出不来,

一会又自动关闭了,

在命令行下执行:gome-app-install时,显示我最上面打出来的提示:
/usr/lib/libcairo.so.2: symbol png_set_expand_gray_1_2_4_to_8, version PNG12_0 not defined in file libpng12.so.0 with link time reference

我觉得原因好像是因为我可能误装了GTK什么东西,导到他总是找GTK的一个什么png而不是找gnome的png

我是新手,这块不是很明白,期待高手回答。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 16:00 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
引用:
libpng12.so.0

你的软件运行,缺乏依赖库支持,把依赖库装上就行了。从源里安装软件,会自动解决依赖的,有些deb没打好,可能会导致依赖包缺失。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 16:01 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
别外,在命令行输入:
songdemei@ubuntu:~$ compiz-manager
显示如下:

Checking for Xgl: not present.
xset q doesn't reveal the location of the log file. Using fallback /var/log/Xorg.0.log
Detected PCI ID for VGA:
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Checking screen 1Comparing resolution (1280x800) to maximum 3D texture size (4096): Passed.
Checking for Software Rasterizer: Not present.
Checking for nVidia: present.
Checking for FBConfig: present.
running under gnome seesion, checking for gnomecompat
Checking for Xgl: not present.
/usr/bin/compiz.real (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
Fontconfig error: "/etc/fonts/conf.d/49-sansserif.conf", line 9: not well-formed (invalid token)

屏幕闪一下,然后什么也没出,只是再结束后,整个介面好像不能最小化了,所有窗口。不知道根这有没有什么关系!


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 16:03 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
5楼的兄弟:
songdemei@ubuntu:~/桌面/rsync$ ldd /usr/lib/libpng12.so.0
linux-gate.so.1 => (0xb7f43000)
libz.so.1 => /lib/libz.so.1 (0xb7ef5000)
libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb7ecf000)
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb7d6b000)
/lib/ld-linux.so.2 (0xb7f44000)

这是说明少了什么吗?

新手看不懂太多的东西,不知道该装哪个呢?


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 16:05 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
引用:
Checking for Xgl: not present.

X的库不存在吧,看下右上角的wiki,把整套GNU工具链,各种头文件和一些基础库装全了再说。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 16:22 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
我检查一下,也没发现什么东西没装的,不知道我检查的对不对,该如何检查呢,

我只是看了新立德里面的已安装的组件,对比了一下GNU好像都有,不知道这样行不行,


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-08-31 16:32 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
wangdu2002
能加我MSN吗:sdomain@live.cn
希望能帮帮我,感激不尽!


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-09-01 13:15 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
终于找到原因了,
过程如下:
在网上看到一遍文章,说的是ldconfig的介绍,
原来系统加载lib时,都是由ldconfig来更新/etc/ld.so.cache缓存的。
而ldconfig是根据/etc/ld.so.conf里面所指定的路径去找lib文件然后加载的,
我看了下我的/etc/ld.so.conf文件内容:
include /etc/ld.so.conf.d/*.conf
再看include /etc/ld.so.conf.d/下面的文件,里面看了看,发现了问题,
里面只有一个我觉得有用的就是路径:/usr/local/lib
突然想起我这些天所报错误一直都是报/usr/lib/png..这个文件的版本什么的不对,
于是我去/usr/local/lib下面看了下,果然有一个libpng12.so.0 指向当前目录下面的另一个libpng文件,
比较一下发现果然与/usr/lib/下面的版本不同,
于是删掉重新把/usr/local/lib下面的libpng12.so.0连到/usr/lib/libpng12.so.0.27.0
然后终于什么都没问题了,

现在想想,原来是我以前装PHP的时候,要装libpng包,所以我手动装了一个libpng,可能我当初装的版本与ubuntu系统自带的版本不同,导到这个报错的。
唉,终于解决了。谢谢各位的回复,欢迎大家讨论相关心得。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 新装的9.04好多应用打不开
帖子发表于 : 2009-09-01 13:17 

注册: 2008-10-18 15:13
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
另外还有一个问题,我不是很明白,按以上所说,应该是/usr/local/lib/libpng...这个版本不对,
那为什么一运行东西的时候,总是提示我:
/usr/lib/libpng12.so.0版本出错呢,晕死,不知道是不是系统的错报啦!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译